#!/usr/bin/env lua

local ndp = require "ndp";

local base;
for line in io.lines() do
	if line:match("^base:%d+$") then
		base = tonumber(line:match("^base:(%d+)$"));
	else
		local ret = ndp.when(line, base);
		print(os.date("%c", ret).." ("..ret..")");
	end
end

